Bug 888283 - NFS client hangs when locking in a cluster with IP failover
NFS client hangs when locking in a cluster with IP failover
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
All All
urgent Severity high
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 888286 902211
  Show dependency treegraph
 
Reported: 2012-12-18 07:56 EST by Rajesh
Modified: 2016-02-17 19:02 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 888286 902211 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:36:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajesh 2012-12-18 07:56:10 EST
Description of problem:
Nfs client hangs when locking when servers use IP fail-over.

Version-Release number 3.3, Master (Pre-3.4)

How reproducible: Always

Steps to Reproduce:
1. set up a cluster with IP failover.
2. mount via NFS a gluster volume using a virtual IP.
3. try acquiring a blocking lock.
  
Actual results:
mount hangs waiting for NFS/NLM server to send granted response.

Expected results:
Lock should be acquired
Comment 1 Vijay Bellur 2013-01-18 06:50:46 EST
CHANGE: http://review.gluster.org/4326 (nlm: use virtual ip of server to connect to client) merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.